Name: boost-gdb-printers
Version: 6
Release: 1%{?dist}
Summary: GDB pretty printers for boost

Group: Development/Debug
License: GPLv3+
URL: https://sourceforge.net/projects/boost-gdb-printers/
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: dejagnu
BuildRequires: gdb
BuildRequires: python3-six

Requires: gdb
Requires: python3-six

BuildArch: noarch

%description
A collection of pretty printers for GDB 7.x for various boost types.
Currently it handles classes from the following boost libraries:
* Optional
* Pointer Container
* Smart Pointer
* Unordered

%prep
%autosetup -p1

%build
# the flags are only used to build the test executable
%configure CXXFLAGS='-O0 -g -fPIC'
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%check
make %{?_smp_mflags} check

%files
%{_datadir}/%{name}
%doc AUTHORS ChangeLog COPYING NEWS README

%changelog
* Wed Feb 22 2017 David Tardon <dtardon@redhat.com> - 6-1
- new upstream release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 5-2
- rebuild for Boost 1.58

* Mon Jun 29 2015 David Tardon <dtardon@redhat.com> - 5-1
- new upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 3-5
- Rebuild for boost 1.57.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 3-3
- Rebuild for boost 1.55.0

* Thu Apr 24 2014 David Tardon <dtardon@redhat.com> - 3-2
- require gdb

* Sat Feb 22 2014 David Tardon <dtardon@redhat.com> - 3-1
- new release

* Wed Apr 04 2012 David Tardon <dtardon@redhat.com> - 2-1
- new release, fixing use with boost >= 1.48

* Sun Apr 01 2012 David Tardon <dtardon@redhat.com> - 1-1
- initial import
